#ifndef RENDER_H
#define RENDER_H
#include <raylib.h>
#include <rlgl.h>
#include "board.h"
#include <functional>
void renderBoard(
    Board& board,
    Vector2 mousePos,
    bool clicked,
    std::vector<Move> legal,
    std::function<void(int,int)> callback,
    bool disable
);
#endif